# Fiber::suspend

(PHP 8 >= 8.1.0)

Fiber::suspend — Suspend l'exécution de la fibre en cours

### Description

public static Fiber::suspend(mixed `$value` = `null`): mixed

Suspend l'exécution de la fibre en cours. La valeur fournie à cette méthode sera retournée par l'appel à Fiber::start(), Fiber::resume(), ou Fiber::throw() qui a fait basculer l'exécution dans la fibre en cours.

Lorsque la fibre est reprise, cette méthode retourne la valeur fournie à Fiber::resume(). Si la fibre est reprise en utilisant Fiber::throw(), l'exception donnée à cette méthode sera émise lors de l'appel à cette méthode.

Si cette méthode est appelée depuis l'extérieur d'une fibre, une FiberError sera émise.

### Liste de paramètres

`value`

  La valeur à retourner de l'appel à Fiber::start(), Fiber::resume(), ou Fiber::throw() qui a fait basculer l'exécution dans la fibre actuelle.

### Valeurs de retour

La valeur fournie à Fiber::resume().